import path from "path";

const defaultAddonDir = path.join(__dirname, "../build")

const aiConfig = {
	"CV_ADDON_FILE": path.join(defaultAddonDir, "cv.node"),
	"MNN_ADDON_FILE": path.join(defaultAddonDir, "mnn.node"),
	"ORT_ADDON_FILE": path.join(defaultAddonDir, "ort.node"),
};

export function setConfig<K extends keyof typeof aiConfig>(key: K, value: typeof aiConfig[K]) { aiConfig[key] = value; }

export function getConfig<K extends keyof typeof aiConfig>(key: K): typeof aiConfig[K] { return aiConfig[key]; }
